Bug 664538 - Error: No module named logutil after installing subscription-manager-0.93.5-1.el6.x86_64
Summary: Error: No module named logutil after installing subscription-manager-0.93.5-1...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.1
Hardware: Unspecified
OS: Unspecified
low
urgent
Target Milestone: rc
: ---
Assignee: Devan Goodwin
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: Entitlement-Beta
TreeView+ depends on / blocked
 
Reported: 2010-12-20 17:47 UTC by John Sefler
Modified: 2011-05-19 13:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 13:38:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 17:56:21 UTC

Description John Sefler 2010-12-20 17:47:10 UTC
Description of problem:

[root@jsefler-onprem01 rhsm]# subscription-manager
Unable to find Subscription Manager module.
Error: No module named logutil


Version-Release number of selected component (if applicable):
https://brewweb.devel.redhat.com/buildinfo?buildID=152818
[root@jsefler-onprem01 rhsm]# rpm -q subscription-manager
subscription-manager-0.93.5-1.el6.x86_64


Additional Info:
[root@jsefler-onprem01 rhsm]# which subscription-manager
/usr/sbin/subscription-manager
[root@jsefler-onprem01 rhsm]# cat /usr/sbin/subscription-manager | grep logutil
    from rhsm.logutil import getLogger
         ^^^^^

Editing the subscription-manager file and removing the "rhsm." seems to fix the problem.

Comment 2 Devan Goodwin 2010-12-20 18:28:20 UTC
Fixed in c4a0956504a82083868a32873d6d12eb7765efb0

Comment 4 John Sefler 2010-12-20 20:01:27 UTC
[root@jsefler-onprem01 rhsm]# rpm -q subscription-manager
subscription-manager-0.93.6-1.git.0.833aab2.el6.x86_64
[root@jsefler-onprem01 rhsm]# subscription-manager

Usage: subscription-manager [options] MODULENAME --help

Supported modules:


	clean          removes all local consumer data, does not effect the server.
	facts          show information for facts
	identity       request a new identity certficate for this machine.
	list           list available or consumer subscriptions for registered user
	refresh        pulls the latest entitlement data from the server
	register       register the client to a Unified Entitlement Platform.
	subscribe      subscribe the registered user to a specified product or regtoken.
	unregister     unregister the client from a Unified Entitlement Platform.
	unsubscribe    unsubscribe the registered user from all or specific subscriptions.




[root@jsefler-onprem01 rhsm]# which subscription-manager
/usr/sbin/subscription-manager
[root@jsefler-onprem01 rhsm]# cat /usr/sbin/subscription-manager | grep logutil
    from logutil import getLogger

MOVING TO VERIFIED

Comment 5 errata-xmlrpc 2011-05-19 13:38:18 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html


Note You need to log in before you can comment on or make changes to this bug.